#
# spec file for package kajongg
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang

Name:           kajongg
Version:        18.08.0
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %define _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        4 Player Mahjongg game
License:        GPL-2.0+
Group:          Amusements/Games/Board/Puzzle
Url:            http://www.kde.org
Source0:        kajongg-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  python3-Twisted >= 16.6.0
BuildRequires:  python3-base >= 3.5.0
BuildRequires:  python3-qt5-devel
BuildRequires:  update-desktop-files
BuildRequires:  xz
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KMahjongglib)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Widgets)
Requires:       python3-Twisted
Requires:       python3-qt5
%if %{with lang}
Recommends:     %{name}-lang
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Kajongg is a version of the four player Mahjongg tile game.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q -n kajongg-%{version}

%build
  # Workaround for kde#376303
  export PYTHONDONTWRITEBYTECODE=1
  export DESTDIR=%{buildroot}
  %cmake_kf5 -d build
  %make_jobs

%install
  %make_install -C build
  %if %{with lang}
    %find_lang %{name} --with-man --all-name
    %kf5_find_htmldocs
  %endif
  %suse_update_desktop_file -r org.kde.kajongg         Game BoardGame

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING* README
%doc %lang(en) %{_kf5_htmldir}/en/kajongg/
%{_kf5_applicationsdir}/org.kde.kajongg.desktop
%{_kf5_appsdir}/kajongg/
%{_kf5_appstreamdir}/
%{_kf5_bindir}/kajongg
%{_kf5_bindir}/kajonggserver
%{_kf5_iconsdir}/hicolor/*/actions/games-kajongg-law.*
%{_kf5_iconsdir}/hicolor/*/apps/kajongg.*
%if %{with lang}

%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
